package wxcarduser

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcarduser"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_user/list wxcarduser GetWxCardUserList
//
// Get wx card user list | 获取WxCardUser列表
//
// Get wx card user list | 获取WxCardUser列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardUserListReq
//
// Responses:
//  200: WxCardUserListResp

func GetWxCardUserListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardUserListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcarduser.NewGetWxCardUserListLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardUserList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
